import { HttpClient } from '@angular/common/http';
import { Component, Input, OnInit, ViewChild } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
import { ModalDismissReasons, NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { BehaviorSubject, Observable } from 'rxjs';
import { AppBreadcrumbService } from 'src/app/app.breadcrumb.service';
import { Candidate } from 'src/app/shared/models/candidate';
import { candidatListService } from './candidat-list.service';

@Component({
  selector: 'app-candidat-list',
  templateUrl: './candidat-list.component.html',
  styleUrls: ['./candidat-list.component.scss']
})
export class CandidatListComponent implements OnInit {
  
    candidates: Observable<Candidate[]>;
    candidate: Candidate;
    currentPage = 1;
    itemsPerPage = 5;
    pageSize: number;
    cp: number = 1;

    constructor(private breadcrumbService: AppBreadcrumbService,private http: HttpClient, 
      private candidatListService: candidatListService, private route: ActivatedRoute,private router: Router,
      private modalService: NgbModal,private formBuilder: FormBuilder) {
      this.breadcrumbService.setItems([
        { label: 'Candidats' },
        { label: 'List', routerLink: ['/candidat/candidat-list'] }
      ]);
  }

  ngOnInit() {
    this.route.data.subscribe((data: { candidats: Observable<Candidate[]> }) => this.candidates = data.candidats);
    this.candidates = this.candidatListService.getCandidats();
  }
  receiveSearchList(list: Observable<Candidate[]>) {
    this.candidates = list; 
   }
  showDetail(candidateId: string){
    var myurl = `${"/candidat/candidat-detail"}/${candidateId}`;
    this.router.navigateByUrl(myurl);
    
  }
  showNew(){
    this.router.navigateByUrl("/candidat/candidat-sidebar");  
  }

  open(content) {
    this.modalService.open(content, {ariaLabelledBy: 'search-modal'});
  }

}
